Skip to content

Webhooks

Configure real-time HTTP callbacks for events in your account. Webhooks send a POST (or custom method) request to your target URL whenever a specified event occurs — such as a contact replying, being enriched, or exported.

List webhooks

Request

List all webhooks configured in your account. Webhooks send HTTP requests to your target URL when specified events occur.

Security
bearerAuth
GET
/integrations/api/webhooks
curl -i -X GET \
  https://leadgen.grinfi.io/integrations/api/webhooks \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

List of webhooks.

Bodyapplication/json
dataArray of objects(webhook)
limitinteger
Example:20
offsetinteger
Example:0
totalinteger
Example:3
has_moreboolean
Response
{ "data": [ {} ], "limit": 20, "offset": 0, "total": 3, "has_more": true }